<?

 /***************************************************************************************
 * Filename: modules/pluginInfo.php
 *
 * This file is part of the Photo album JAS plugin.
 * Copyright 2003-2013 by Matthijs Schuurman
 *
 * The Photo album JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/photoalbum/
 ***************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_photoalbum_pluginInfo extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title="Photo album plugin information";

   $this->data->addField("templateitem", "localfile", "all", false, 1, 255, "item.html", "Item template");
   $this->data->addField("templatelist", "localfile", "all", false, 1, 255, "list.html", "List template");
   $this->data->addField("templatecategories", "localfile", "all", false, 1, 255, "categories.html", "Categories template");
   $this->data->addField("templatecrumbtrail", "localfile", "all", false, 1, 255, "crumbtrail.html", "Crumbtrail template");
   $this->data->addField("templatelatestpictures", "localfile", "all", false, 1, 255, "latestpictures.html", "Latest pictures template");
   $this->data->addField("templatelatestcomments", "localfile", "all", false, 1, 255, "latestcomments.html", "Latest comments template");
   $this->data->addField("templatecloud", "localfile", "all", false, 1, 255, "cloud.html", "Tag cloud template");
   $this->data->addField("templatepagebrowser", "localfile", "all", false, 1, 255, "pagebrowser.html", "Page browser template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templateitem", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templateitem", "html", "htm");

   $this->data->setFileDir("templatelist", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templatelist", "html", "htm");

   $this->data->setFileDir("templatecategories", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templatecategories", "html", "htm");

   $this->data->setFileDir("templatecrumbtrail", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templatecrumbtrail", "html", "htm");

   $this->data->setFileDir("templatelatestpictures", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templatelatestpictures", "html", "htm");

   $this->data->setFileDir("templatelatestcomments", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templatelatestcomments", "html", "htm");

   $this->data->setFileDir("templatecloud", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templatecloud", "html", "htm");

   $this->data->setFileDir("templatepagebrowser", $_path["project"]["plugins"]."photoalbum/templates/");
   $this->data->setFileExtensions("templatepagebrowser", "html", "htm");

   return true;
  }
 }
?>
